class BitManip:
    """Class to assist with bit manipulation."""

    @staticmethod
    def set_bit(value, bit: int):
        return value | (1 << bit)

    @staticmethod
    def reset_bit(value, bit: int):
        return value & ~(1 << bit)

    @staticmethod
    def flip_bit(value, bit: int):
        return value ^ (1 << bit)

    @staticmethod
    def get_bit(value, bit):
        return (value >> bit) & 1
