#
#   Routes to accept in Flask and redirect to frontend
#
from flask import Blueprint, render_template

frontendRoutes = Blueprint('frontendRoutes', __name__, template_folder='static')

@frontendRoutes.route('/')
def basic_pages0(**kwargs):
    return render_template('index.html')

@frontendRoutes.errorhandler(404)
def page_not_found(e):
    # return render_template('404.html'), 404
    return render_template('index.html')
